LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdbc::ColumnValue Constant Group Referencepublished

determines whether a column allows SQL NULL values or not. More...

## Variables
const long | NO_NULLS = 0
| indicates that a column does not allow NULL values. More...
const long | NULLABLE = 1
| indicates that a column does allow NULL values. More...
const long | NULLABLE_UNKNOWN = 2
| indicates that the nullability of the column is unknown. More...

## Detailed Description

determines whether a column allows SQL NULL values or not.

## Variable Documentation

## ◆ NO_NULLS

const long NO_NULLS = 0

indicates that a column does not allow NULL values.

## ◆ NULLABLE

const long NULLABLE = 1

indicates that a column does allow NULL values.

## ◆ NULLABLE_UNKNOWN

const long NULLABLE_UNKNOWN = 2

indicates that the nullability of the column is unknown.